Subject: [os2genau_digest] No. 1465
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 27 Mar 2007 00:00:29 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 26 March 2007
 Number  1465
**************************************************

Subjects for today
 
1  Re:  dir listing sort code : Mike O'Connor <mikeoc at internode.on dot net>
2  Re:  dir listing sort code : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 26 Mar 2007 00:13:52 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  dir listing sort code

Ian Manners wrote:
> Hi Mike
>   
>> Write it in Assembler to make it *really* fast - unlike C!
>> Of course it takes a lot longer to write! :-(
>>     
> It's been about 15 years since I've done assembler, gee's
> that long, how time flies......
>   
I decided it's about time I got back into MASM 6.11,  the box is sitting 
on the floor now [was in the cupboard] ready for use as soon as I clear 
up a few more hardware problems!
> ASM also means its not portable, hmm, not that anyones asked
> me to compile it for anything else anyway ! That and the fact
> I didnt write the original code, though at present I think it's
> safe to say I've rewritten about 50% of the code :-), or is that :-(
>   
In the old days when there were a lot of very different hardware 
platforms, there were the Avocet cross-assemblers which overcame that 
objection, but nowadays, with even Apple now progressing to iNTEL CPUs, 
there's a lot less weight to the argument - if starting from scratch!
> Cheers
> Ian Manners
> Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
> http://www.os2site dot com/
>
>
> The best way to accelerate Windows is at escape velocity.
>   
Couldn't agree more with the tag-line!

Mike
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 26 Mar 2007 23:36:24 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  dir listing sort code

On Sun, 25 Mar 2007 21:18:00 +1000 (EST), Ian Manners wrote:

>
>Currently the filepage code doesnt do any sorting for output
>but I want to add that capability, which John and a few others
>have mentioned would be nice, um, 6 years ago now John ?

But who's counting? :-)

Sorry I can't be much direct help, but I wonder: how do Hobbes manage it?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------